### Method

# SpiceClientGLib DisplayChannel display_change_preferred_compression

deprecated: 0.35 since: 0.31

#### Declaration [src]

    void
    spice_display_change_preferred_compression (
      SpiceChannel* channel,
      gint compression
    )

#### Description [src]

Tells the spice server to change the preferred image compression for the `channel`.

Available since: 0.31

Deprecated since: 0.35

Use `spice_display_channel_change_preferred_compression()` instead.

#### Parameters

`compression`

  Type: `gint`

  A `SpiceImageCompression`.